## clab 0.6.0.ci20240512T082534

=== debian/changelog ===
clab (0.6.0.ci20240512T082534-1) unstable; urgency=medium

  * CI build under Ambient.

 -- Lars Wirzenius <liw@liw.fi>  Sun, 12 May 2024 08:25:34 +0000

clab (0.6.0-1) unstable; urgency=medium

  * New release.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 30 Dec 2023 08:36:00 +0200

clab (0.5-1) unstable; urgency=medium

  * Rewrite in Rust.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 17 Apr 2021 14:07:42 +0300

## clab 0.6.0.ci20240615T051342

=== debian/changelog ===
clab (0.6.0.ci20240615T051342-1) unstable; urgency=medium

  * CI build under Ambient.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 15 Jun 2024 05:13:43 +0000

## clab 0.6.0.ci20240803T073230

=== debian/changelog ===
clab (0.6.0.ci20240803T073230-1) unstable; urgency=medium

  * CI build under Ambient.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 03 Aug 2024 07:32:30 +0000

## clab 0.6.0.ci20240921T053442

=== debian/changelog ===
clab (0.6.0.ci20240921T053442-1) unstable; urgency=medium

  * CI build under Ambient.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 21 Sep 2024 05:34:42 +0000

## clab 0.6.0.ci20241027T052226

=== debian/changelog ===
clab (0.6.0.ci20241027T052226-1) unstable; urgency=medium

  * CI build under Ambient.

 -- Lars Wirzenius <liw@liw.fi>  Sun, 27 Oct 2024 05:22:26 +0000

## clab 0.6.0.ci20241228T160638

=== debian/changelog ===
clab (0.6.0.ci20241228T160638-1) unstable; urgency=medium

  * CI build under Ambient.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 28 Dec 2024 16:06:38 +0000

## clab 0.6.0.ci20250215T151748

=== debian/changelog ===
clab (0.6.0.ci20250215T151748-1) unstable; urgency=medium

  * CI build under Ambient.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 15 Feb 2025 15:17:48 +0000

## clab 0.6.0.ci20250906T051011

=== debian/changelog ===
clab (0.6.0.ci20250906T051011-1) unstable; urgency=medium

  * CI build under Ambient.

 -- Lars Wirzenius <liw@liw.fi>  Sat, 06 Sep 2025 05:10:11 +0000

## clab 0.6.0.ci20250908T081348

=== debian/changelog ===
clab (0.6.0.ci20250908T081348-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 08 Sep 2025 08:13:48 +0000

## clab 0.6.0.ci20250913T052900

=== debian/changelog ===
clab (0.6.0.ci20250913T052900-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 13 Sep 2025 05:29:00 +0000

## clab 0.6.0.ci20250920T114836

=== debian/changelog ===
clab (0.6.0.ci20250920T114836-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 20 Sep 2025 11:48:36 +0000

## clab 0.6.0.ci20250922T053948

=== debian/changelog ===
clab (0.6.0.ci20250922T053948-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 22 Sep 2025 05:39:48 +0000

## clab 0.6.0.ci20250922T070928

=== debian/changelog ===
clab (0.6.0.ci20250922T070928-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 22 Sep 2025 07:09:28 +0000

## clab 0.6.0.ci20250927T074104

=== debian/changelog ===
clab (0.6.0.ci20250927T074104-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 27 Sep 2025 07:41:04 +0000

## clab 0.6.0.ci20251004T034050

=== debian/changelog ===
clab (0.6.0.ci20251004T034050-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 04 Oct 2025 03:40:50 +0000

## clab 0.6.0.ci20251010T064902

=== debian/changelog ===
clab (0.6.0.ci20251010T064902-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Fri, 10 Oct 2025 06:49:02 +0000

## clab 0.6.0.ci20251012T060613

=== debian/changelog ===
clab (0.6.0.ci20251012T060613-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 12 Oct 2025 06:06:13 +0000

## clab 0.6.0.ci20251013T075407

=== debian/changelog ===
clab (0.6.0.ci20251013T075407-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 13 Oct 2025 07:54:07 +0000

## clab 0.6.0.ci20251013T093047

=== debian/changelog ===
clab (0.6.0.ci20251013T093047-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 13 Oct 2025 09:30:48 +0000

## clab 0.6.0.ci20251013T100720

=== debian/changelog ===
clab (0.6.0.ci20251013T100720-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 13 Oct 2025 10:07:20 +0000

## clab 0.6.0.ci20251014T110835

=== debian/changelog ===
clab (0.6.0.ci20251014T110835-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 14 Oct 2025 11:08:35 +0000

## clab 0.6.0.ci20251014T114310

=== debian/changelog ===
clab (0.6.0.ci20251014T114310-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 14 Oct 2025 11:43:10 +0000

## clab 0.6.0.ci20251014T150043

=== debian/changelog ===
clab (0.6.0.ci20251014T150043-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 14 Oct 2025 15:00:43 +0000

## clab 0.6.0.ci20251014T153349

=== debian/changelog ===
clab (0.6.0.ci20251014T153349-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 14 Oct 2025 15:33:49 +0000

## clab 0.6.0.ci20251102T070226

=== debian/changelog ===
clab (0.6.0.ci20251102T070226-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 02 Nov 2025 07:02:26 +0000

## clab 0.6.0.ci20251102T151816

=== debian/changelog ===
clab (0.6.0.ci20251102T151816-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 02 Nov 2025 15:18:17 +0000

## clab 0.6.0.ci20251107T150832

=== debian/changelog ===
clab (0.6.0.ci20251107T150832-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Fri, 07 Nov 2025 15:08:32 +0000

## clab 0.6.0.ci20251110T081651

=== debian/changelog ===
clab (0.6.0.ci20251110T081651-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 10 Nov 2025 08:16:51 +0000

## clab 0.6.0.ci20251228T062150

=== Makefile ===
TESTS =
TARGET = --target x86_64-unknown-linux-musl

all: test

check:
	cargo clippy --all-targets -- --deny warnings
	cargo fmt --check

build:
	cargo build --all-targets $(TARGET)
	subplot docgen clab.subplot -o clab.html
	subplot codegen clab.subplot -o test.py

test: build
	cargo test -- $(TESTS)

	target="$(cargo metadata --format-version=1 | jq -r .target_directory)"; \
	rm -f test.log; \
	if [ "$$(id -un)" = root ]; then \
		echo Not running tests as root.; \
	else \
		python3 test.py --log test.log --env "CARGO_TARGET_DIR=$$cargo metadata" $(TESTS); \
	fi

## clab 0.6.0.ci20251111T065005

=== debian/changelog ===
clab (0.6.0.ci20251111T065005-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 11 Nov 2025 06:50:05 +0000

=== debian/control ===
Source: clab
Maintainer: Lars Wirzenius <liw@liw.fi>
Section: misc
Priority: optional
Standards-Version: 4.2.0
Build-Depends:
 debhelper (>= 10~),
 git,
 moreutils,
 python3,
 python3-yaml,
 subplot
Homepage: https://clab.liw.fi

Package: clab
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${cargo:Built-Using}
Description: command line address book application
 A very basic address book application, with a command line interface
 only.
 .
 Address book data is stored in YAML files, which can easily be
 kept in a version control system by the user.

## clab 0.6.0.ci20251112T133801

=== debian/changelog ===
clab (0.6.0.ci20251112T133801-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 12 Nov 2025 13:38:01 +0000

## clab 0.6.0.ci20251112T145912

=== debian/changelog ===
clab (0.6.0.ci20251112T145912-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 12 Nov 2025 14:59:12 +0000

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	true

override_dh_auto_install:
	cargo install --path=. --root=debian/clab --offline
	find debian/clab -name '.crates*' -delete

override_dh_auto_test:
	echo disabled: ./check

## clab 0.6.0.ci20251114T141501

=== debian/changelog ===
clab (0.6.0.ci20251114T141501-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Fri, 14 Nov 2025 14:15:02 +0000

## clab 0.6.0.ci20251114T150844

=== debian/changelog ===
clab (0.6.0.ci20251114T150844-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Fri, 14 Nov 2025 15:08:44 +0000

## clab 0.6.0.ci20251115T051743

=== debian/changelog ===
clab (0.6.0.ci20251115T051743-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 15 Nov 2025 05:17:43 +0000

## clab 0.6.0.ci20251116T060731

=== debian/changelog ===
clab (0.6.0.ci20251116T060731-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 16 Nov 2025 06:07:31 +0000

## clab 0.6.0.ci20251123T183948

=== debian/changelog ===
clab (0.6.0.ci20251123T183948-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 23 Nov 2025 18:39:48 +0000

## clab 0.6.0.ci20251124T122709

=== debian/changelog ===
clab (0.6.0.ci20251124T122709-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 24 Nov 2025 12:27:10 +0000

## clab 0.6.0.ci20251125T122439

=== debian/changelog ===
clab (0.6.0.ci20251125T122439-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 25 Nov 2025 12:24:39 +0000

## clab 0.6.0.ci20251125T145459

=== debian/changelog ===
clab (0.6.0.ci20251125T145459-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 25 Nov 2025 14:54:59 +0000

## clab 0.6.0.ci20251130T070326

=== debian/changelog ===
clab (0.6.0.ci20251130T070326-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 30 Nov 2025 07:03:26 +0000

## clab 0.6.0.ci20251203T071341

=== debian/changelog ===
clab (0.6.0.ci20251203T071341-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 03 Dec 2025 07:13:41 +0000

## clab 0.6.0.ci20251204T080740

=== debian/changelog ===
clab (0.6.0.ci20251204T080740-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Thu, 04 Dec 2025 08:07:40 +0000

## clab 0.6.0.ci20251208T115019

=== debian/changelog ===
clab (0.6.0.ci20251208T115019-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 08 Dec 2025 11:50:19 +0000

## clab 0.6.0.ci20251215T054714

=== debian/changelog ===
clab (0.6.0.ci20251215T054714-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 15 Dec 2025 05:47:14 +0000

## clab 0.6.0.ci20251215T091606

=== debian/changelog ===
clab (0.6.0.ci20251215T091606-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 15 Dec 2025 09:16:06 +0000

## clab 0.6.0.ci20251220T142334

=== debian/changelog ===
clab (0.6.0.ci20251220T142334-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sat, 20 Dec 2025 14:23:34 +0000

## clab 0.6.0.ci20251221T043236

=== debian/changelog ===
clab (0.6.0.ci20251221T043236-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 21 Dec 2025 04:32:36 +0000

## clab 0.6.0.ci20251221T055605

=== debian/changelog ===
clab (0.6.0.ci20251221T055605-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 21 Dec 2025 05:56:06 +0000

## clab 0.6.0.ci20251228T060004

=== debian/changelog ===
clab (0.6.0.ci20251228T060004-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 28 Dec 2025 06:00:04 +0000

## clab 0.6.0.ci20251228T062150

=== debian/changelog ===
clab (0.6.0.ci20251228T062150-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 28 Dec 2025 06:21:50 +0000

## clab 0.6.0.ci20260105T115338

=== debian/changelog ===
clab (0.6.0.ci20260105T115338-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 05 Jan 2026 11:53:38 +0000

## clab 0.6.0.ci20260112T121648

=== debian/changelog ===
clab (0.6.0.ci20260112T121648-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 12 Jan 2026 12:16:48 +0000

## clab 0.6.0.ci20260114T120436

=== debian/changelog ===
clab (0.6.0.ci20260114T120436-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 14 Jan 2026 12:04:36 +0000

## clab 0.6.0.ci20260118T130030

=== debian/changelog ===
clab (0.6.0.ci20260118T130030-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 18 Jan 2026 13:00:31 +0000

## clab 0.6.0.ci20260120T112752

=== debian/changelog ===
clab (0.6.0.ci20260120T112752-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 20 Jan 2026 11:27:52 +0000

## clab 0.6.0.ci20260125T061152

=== debian/changelog ===
clab (0.6.0.ci20260125T061152-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Sun, 25 Jan 2026 06:11:52 +0000

## clab 0.6.0.ci20260204T090506

=== debian/changelog ===
clab (0.6.0.ci20260204T090506-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Wed, 04 Feb 2026 09:05:06 +0000

## clab 0.6.0.ci20260205T162653

=== debian/changelog ===
clab (0.6.0.ci20260205T162653-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Thu, 05 Feb 2026 16:26:54 +0000

## clab 0.6.0.ci20260217T044520

=== debian/changelog ===
clab (0.6.0.ci20260217T044520-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Tue, 17 Feb 2026 04:45:20 +0000

## clab 0.6.0.ci20260223T071014

=== debian/changelog ===
clab (0.6.0.ci20260223T071014-1) unstable; urgency=medium

  * CI build under Ambient.

 -- "Lars Wirzenius" <"liw@liw.fi">  Mon, 23 Feb 2026 07:10:14 +0000
